uk.gov.hmrc.auth.core.retrieve

# SafeRetrievals

###
Related Docs: object SafeRetrievals | package retrieve

#### trait SafeRetrievals extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
SafeRetrievals
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SafeRetrievals
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val affinityGroup: Retrieval[Option[AffinityGroup]]

5. #### val agentCode: Retrieval[Option[String]]

6. #### val agentInformation: Retrieval[AgentInformation]

7. #### val allEnrolments: Retrieval[Enrolments]

8. #### val allItmpUserDetails: Retrieval[~[~[Option[ItmpName], Option[LocalDate]], Option[ItmpAddress]]]

9. #### val allUserDetails: Retrieval[~[~[~[~[~[~[~[~[~[~[~[Option[Credentials], Option[Name]], Option[LocalDate]], Option[String]], Option[String]], Option[AffinityGroup]], Option[String]], AgentInformation], Option[CredentialRole]], Option[String]], Option[String]], Option[Int]]]

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### val authorisedEnrolments: Retrieval[Enrolments]

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### val confidenceLevel: Retrieval[ConfidenceLevel]

14. #### val credentialRole: Retrieval[Option[CredentialRole]]

15. #### val credentialStrength: Retrieval[Option[String]]

16. #### val credentials: Retrieval[Option[Credentials]]

17. #### val dateOfBirth: Retrieval[Option[LocalDate]]

18. #### val description: Retrieval[Option[String]]

19. #### val email: Retrieval[Option[String]]

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### val externalId: Retrieval[Option[String]]

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### val gatewayInformation: Retrieval[Option[GatewayInformation]]

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### val groupIdentifier: Retrieval[Option[String]]

27. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

28. #### val internalId: Retrieval[Option[String]]

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### val itmpAddress: Retrieval[Option[ItmpAddress]]

31. #### val itmpDateOfBirth: Retrieval[Option[LocalDate]]

32. #### val itmpName: Retrieval[Option[ItmpName]]

33. #### val loginTimes: Retrieval[LoginTimes]

34. #### val mdtpInformation: Retrieval[Option[MdtpInformation]]

35. #### val name: Retrieval[Option[Name]]

36. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### val nino: Retrieval[Option[String]]

38. #### final def notify(): Unit

    Definition Classes
      AnyRef

39. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

40. #### val postCode: Retrieval[Option[String]]

41. #### val saUtr: Retrieval[Option[String]]

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Definition Classes
      AnyRef → Any

44. #### val unreadMessageCount: Retrieval[Option[Int]]

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### val authProviderId: Retrieval[LegacyCredentials]

   Annotations
     @deprecated
   Deprecated

     Use 'credentials' retrieval

2. #### val userDetailsUri: Retrieval[Option[String]]

   Annotations
     @deprecated
   Deprecated

     Use retrievals that fetch user details data directly as opposed to retrieve json using the uri

### Inherited from AnyRef

### Inherited from Any

### Ungrouped